> For the complete documentation index, see [llms.txt](https://docs.mastersoftgroup.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mastersoftgroup.com/loqate-harmony-api/address-exchange-beta/adx-api-specification/edit-address-event.md).

# Edit Address Event

Events can be updated with information. Commonly changes to description.&#x20;

Editing does not scoring of event unless you change the "action" eg from 'accept' to 'deny' altering making a positive outcome a negative outcome. For example: You have event 'successful' delivery and two week later the customer informs this was unsuccessful. You can go into your event and change 'action' to 'deny' meaning unsuccessful delivery and the address is re-scored.

To neutralise an event (meaning to remove the score associated) you will need to [Create Address Event ](/loqate-harmony-api/address-exchange-beta/adx-api-specification/create-address-event.md)the counteracting the Event you want to neutralise in description include the event uuid that is related.

### Resource

where Event {uuid} is the Address Exchange EVENT UUID (not to be confused with Address UUID).

```
PUT    https://hosted.mastersoftgroup.com/harmony/rest/address/exchange/v1/events/{uuid}
```

### Request

Need only to update the components requiring update. Any field will be overwritten using the updated fields.

```json
{
  "action": "accept" or "deny",
  "description": "string",
  "newAssessment": true,
}
```

### Response

```json
{
    "status": "SUCCESS",
    "messages": [],
    "payload": {
        "uuid": "72d22f6e-dac3-4be8-adc8-c65f5f9a7fe4",
        "action": "accept",
        "source": {
            "id": 6,
            "code": "Trusted Source",
            "externalCode": "Trusted Source",
            "description": "Verified address with trusted source",
            "internalOnly": true,
            "descriptionOnly": false
        },
        "customerId": 1234,
        "eventDate": 1691992790015,
        "score": 10,
        "description": "Confirmed using imaginary and council records. Number on door. Alias for 25 Milton.",
        "attributes": {}
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mastersoftgroup.com/loqate-harmony-api/address-exchange-beta/adx-api-specification/edit-address-event.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
